#ifndef EVENT_H
#define EVENT_H

#include <qthing.h>

#include <string>
#include <functional>

typedef std::function<void(const std::string&)> string_callback_t;

void set_oled_log_callback(string_callback_t callback);
void log_oled(const std::string& message);

void update_wlan_connection_status(connection_status_t status);

void update_eth_connection_status(connection_status_t status);

void update_mqtt_connection_status(connection_status_t status);

#endif
