#include <qthing.h>
#include "util.h"

#include <sstream>

#include "freertos/FreeRTOS.h"
#include "freertos/task.h"

unsigned long IRAM_ATTR millis() {
    return xTaskGetTickCount() * portTICK_PERIOD_MS;
}

std::string to_string(float value, int precision) {
    std::stringstream stream;
    stream.precision(precision);
    stream << value;
    return stream.str();
}

std::string to_string(uint32_t value) {
    std::stringstream stream;
    stream << value;
    return stream.str();
}
